# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Class-Inspector
Version:	1.27
Release:	2.%{__distinit}%{__distvers}
Summary:	Get information about a class and its structure
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Class-Inspector/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Class-Inspector-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::CPAN::Meta) >= 0.07
# Test::MinimumVersion -> Perl::MinimumVersion -> PPI -> Class::Inspector
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::MinimumVersion) >= 0.007
%endif
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Class::Inspector allows you to get information about a loaded class.
Most or all of this information can be found in other ways, but they aren't
always very friendly, and usually involve a relatively high level of Perl
wizardry, or strange and unusual looking code. Class::Inspector attempts to
provide an easier, more friendly interface to this information.

%prep
%setup -q -n Class-Inspector-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="xt/*.t" AUTOMATED_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Class/
%{_mandir}/man3/Class::Inspector.3pm*
%{_mandir}/man3/Class::Inspector::Functions.3pm*

%changelog
* Tue Feb  7 2012 Paul Howarth <paul@city-fan.org> - 1.27-2
- Don't BR: perl(Test::MinimumVersion) if we're bootstrapping

* Wed Jan 25 2012 Paul Howarth <paul@city-fan.org> - 1.27-1
- Update to 1.27
  - Update to Module::Install::DSL 1.04
  - Update copyright year
  - Remove usage of defined @{"X::ISA"} to avoid warnings in 5.15.7 onwards
- BR: perl(Exporter) and perl(File::Spec)
- Explicitly run the release tests
- Install to vendor dirs rather than perl dirs

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 1.25-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jan 27 2011 Paul Howarth <paul@city-fan.org> - 1.25-1
- Update to 1.25
  - Update to Module::Install::DSL 1.00
  - Update copyright year
- Install to perl dirs rather than vendor dirs

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.24-4
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> - 1.24-3
- Fix dist tag for RHEL-6 Beta

* Fri Feb 19 2010 Paul Howarth <paul@city-fan.org> - 1.24-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Wed Apr 22 2009 Paul Howarth <paul@city-fan.org> - 1.24-1
- Update to 1.24 (add the Class::Inspector::Functions interface)
- Include manpage for Class::Inspector::Functions
- Reinstate buildreqs perl(Test::CPAN::Meta) and perl(Test::MinimumVersion)

* Wed Sep  3 2008 Paul Howarth <paul@city-fan.org> - 1.23-2
- Import from Fedora
- Drop perl(Test::CPAN::Meta) buildreq for now
- Drop perl(Test::MinimumVersion) buildreq, which seems to cause a bogus
  failure in t/pmv.t on RHL9
- Add buildreq perl(ExtUtils::MakeMaker)

* Tue Jun 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.23-1
- Upstream update

* Tue Mar 11 2008 Ralf Corsépius <rc040203@freenet.de> - 1.22-1
- Upstream update

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.20-3
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.20-2
- Rebuild for perl 5.10 (again), first pass

* Thu Feb 14 2008 Ralf Corsépius <rc040203@freenet.de> - 1.20-1
- Upstream update

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.18-3
- rebuild normally, second pass

* Sun Jan 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.18-2.1
- rebuild for new perl, first pass, disable TMV, tests

* Sun Nov 25 2007 Ralf Corsépius <rc040203@freenet.de> - 1.18-2
- Add BR: perl(Test::MinimumVersion)

* Tue Nov 20 2007 Ralf Corsépius <rc040203@freenet.de> - 1.18-1
- Upstream update

* Fri Aug 17 2007 Ralf Corsépius <rc040203@freenet.de> - 1.17-1
- Upstream update

* Thu Apr 19 2007 Ralf Corsépius <rc040203@freenet.de> - 1.16-3
- Reflect perl package split

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.16-2
- Mass rebuild

* Mon May 21 2006 Ralf Corsépius <rc040203@freenet.de> - 1.16-1
- Upstream update

* Mon May 08 2006 Ralf Corsépius <rc040203@freenet.de> - 1.15-1
- Upstream update

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 1.13-2
- Rebuild for perl-5.8.8

* Thu Sep 29 2005 Ralf Corsepius <rc040203@freenet.de> - 1.13-1
- Upstream update

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de>
- Fix another typo in %%summary

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 1.12-2
- Fix typo in %%summary
- Spec file cleanup

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 1.12-1
- FE submission
